Debian Bug report logs - #721789
apt-listdifferences: [debconf_rewrite] Debconf templates and debian/control review proposal

Package: apt-listdifferences; Maintainer for apt-listdifferences is Michael Gilbert <mgilbert@debian.org>; Source for apt-listdifferences is src:apt-listdifferences.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Wed, 4 Sep 2013 05:24:02 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Wed, 04 Sep 2013 05:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Gilbert <mgilbert@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 04 Sep 2013 05:24:06 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt-listdifferences: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Wed, 04 Sep 2013 07:20:03 +0200
Package: apt-listdifferences
Version: N/A
Severity: normal

Dear Debian maintainer,

Hello,

I just noticed new or modified debconf templates appearing for this
package.

I would like to suggest you to consider calling for debconf templates
review AND translation updates when you introduce new debconf
templates or modify the existing templates in a package or, if you
prefer, to send a call for translations after uploading the first
version that introduces new templates or templates changes.

If you're interested in suggestions for doing this, you can find some
at the end of this bug report.

The debian-l10n-english team will now start a review, on our own
initiative. It will be conducted through this bug report.


Suggestions for future debconf templates review
------------------------------------------------

1) Getting debconf templates reviewed
--------------------------------------

The Debian i18n contributors have developed a set of suggestions for
the writing style of debconf templates, to give them an overall
consistency all around Debian. These writing style suggestions are
explained in the Developers Reference. Lintian also warns about common
writing style concerns.

Maintainers are welcome when they ask for a review of debconf templates
and/or packages descriptions on debian-l10n-english@lists.debian.org.
It is of course not needed to wait for someone (such as me right me)
proposing you such a review.

In such situations (whether the review is requested by the maintainer
or proposed by someone else), someone from the debian-l10n-english
team will pick up the review to do, handle it, and finally send you a
bug report with the suggested templates. If you want, you can ask for
being CC'ed to the various discussions when the templates are
reviewed.


2) Call for new translations
----------------------------

As soon as the templates have been reviewed, you can ask Debian
translators for new translations:

Just go to your package's build tree and use:

$ podebconf-report-po --call

This will propose you a generic mail which is to be sent to
debian-i18n@lists.debian.org and call for new translations.

This utility will mention existing translations to avoid duplicate
work. 

It will also attach the needed material to this mail.

Please also think about giving a deadline to translators. We like
deadlines..:-)

3) Always call for translation updates before uploading
-------------------------------------------------------

(of course only when you change the debconf templates!)

If your package already includes debconf translations (ie *.po files
in debian/po), please consider calling for translation updates if you
happen to change something in the templates...or just in case when you
release a new version.

This is done with the following command:

$ podebconf-report-po

This will build private mails to translators (ie people listed in
"Last-Translator" in the PO files) for translations that are
incomplete. These mails will included the needed PO file for each
translator.


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.10-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Sun, 08 Sep 2013 14:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Sun, 08 Sep 2013 14:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 721789@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721789@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [ITR] templates://apt-listdifferences/{templates}
Date: Sun, 8 Sep 2013 16:21:39 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

The Debian internationalisation team and the Debian English
localisation team will soon begin the review of the debconf
templates used in apt-listdifferences.

This review takes place for all packages that use debconf to interact with
users and its aims are:
- to improve the use of English in all debconf templates;
- to make the wording of debconf templates more consistent;
- to encourage more translations of templates.

Even if your first language is English, this process is likely to help
track down typos or errors, and improve consistency between the
debconf templates of your package and that of other packages in the
distribution.

The process involves both debian-l10n-english contributors and
Debian translators.

The details of the process are given in
http://wiki.debian.org/I18n/SmithDebconfReviewProcess.

I will act as the coordinator of this activity for apt-listdifferences.

The first step of the process is to review the debconf source
template file(s) of apt-listdifferences. This review will start on Wednesday, September 11, 2013, or
as soon as you acknowledge this mail with an agreement for us to
carry out this process.

All parts of the process will be carried out in close collaboration
with you, and, unless you explicitely ask for it, no upload nor NMU
will happen for apt-listdifferences.

If you approve this process, please let us know by replying to this
mail. If some work in progress on your side would conflict with such a
rewrite (such as adding or removing debconf templates), please say so,
and we will defer the review to later in the development cycle.

Thank you for your attention.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#721789; Package apt-listdifferences. (Sun, 08 Sep 2013 16:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. (Sun, 08 Sep 2013 16:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 721789@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 721789@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#721789: [ITR] templates://apt-listdifferences/{templates}
Date: Sun, 8 Sep 2013 12:36:17 -0400
On Sun, Sep 8, 2013 at 10:21 AM, Christian PERRIER  wrote:
> Dear Debian maintainer,
>
> The Debian internationalisation team and the Debian English
> localisation team will soon begin the review of the debconf
> templates used in apt-listdifferences.
>
> This review takes place for all packages that use debconf to interact with
> users and its aims are:
> - to improve the use of English in all debconf templates;
> - to make the wording of debconf templates more consistent;
> - to encourage more translations of templates.
>
> Even if your first language is English, this process is likely to help
> track down typos or errors, and improve consistency between the
> debconf templates of your package and that of other packages in the
> distribution.
>
> The process involves both debian-l10n-english contributors and
> Debian translators.
>
> The details of the process are given in
> http://wiki.debian.org/I18n/SmithDebconfReviewProcess.
>
> I will act as the coordinator of this activity for apt-listdifferences.
>
> The first step of the process is to review the debconf source
> template file(s) of apt-listdifferences. This review will start on Wednesday, September 11, 2013, or
> as soon as you acknowledge this mail with an agreement for us to
> carry out this process.
>
> All parts of the process will be carried out in close collaboration
> with you, and, unless you explicitely ask for it, no upload nor NMU
> will happen for apt-listdifferences.
>
> If you approve this process, please let us know by replying to this
> mail. If some work in progress on your side would conflict with such a
> rewrite (such as adding or removing debconf templates), please say so,
> and we will defer the review to later in the development cycle.

Please go ahead.  Thanks for you help!

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Sat, 14 Sep 2013 11:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Sat, 14 Sep 2013 11:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 721789@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721789@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [RFR] templates://apt-listdifferences/{templates}
Date: Sat, 14 Sep 2013 13:17:13 +0200
[Message part 1 (text/plain, inline)]
Please find, for review, the debconf templates and packages descriptions for the apt-listdifferences source package.

This review will last from Saturday, September 14, 2013 to Tuesday, September 24, 2013.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, a summary will be sent to the review bug report,
and a mail will be sent to this list with "[BTS]" as a subject tag.

Rationale:
--- apt-listdifferences.old/debian/templates	2013-09-04 07:19:28.449443947 +0200
+++ apt-listdifferences/debian/templates	2013-09-14 13:11:07.700135155 +0200
@@ -1,19 +1,19 @@
 Template: apt-listdifferences/initialize
 Type: boolean
 Default: true
-_Description: Would you like to initialize the apt-listdifferences database now?
- apt-listdifferences can initialize its database of source packages now.
- Depending on your internet connection, this may take a while, but it will also
+_Description: Initialize the apt-listdifferences database now?
+ The source packages database for apt-listdifferences can be initialized now.
+ Depending on your Internet connection, this may take a while, but it will also
  provide immediate functionality for the tool.
  .
- If you select No, apt-list-differences will instead become functional slowly
+ If you do not choose this option, apt-list-differences will instead become functional slowly
  over time as more and more reference source packages get added to its database
  when they are first seen.

Simplify the synopsis by dropping "would you like".

Avoid leading lowercase in a sentence by reverting the sentence.


Avoid making reference to specific debconf interfaces (If you select No).

 
 Template: apt-listdifferences/purge
 Type: boolean
 Default: false
-_Description: Would you like to remove the apt-listdifferences database?
- The apt-listdifferences database is currently still on disk.  You can save
+_Description: Remove the apt-listdifferences database?
+ The apt-listdifferences database is currently still present on disk.  You can save
  a lot of space by removing it now, but if you ever plan to reinstall
  apt-listdifferences, the database will need to be fully downloaded again.
--- apt-listdifferences.old/debian/control	2013-09-04 07:19:28.449443947 +0200
+++ apt-listdifferences/debian/control	2013-09-14 13:11:40.089031853 +0200


About the same rationale

@@ -22,6 +22,6 @@
  python-debian,
  debian-keyring,
 Description: source differences notification tool
- apt-listdifferences will show the differences, or patch, between the sources
+ apt-listdifferences will show the differences, or patches, between the sources
  for all packages as they get updated.  This makes it possible to easily
- review source changes that have been included in new Debian package updates.
+ review source changes that have been included in new package updates.


Here, I left the leading lowercasse mostly because I didn't find
anything not too clumsy to replace it

Avoid branding ("Debian").


[templates (text/plain, attachment)]
[patch.rfr (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Sat, 14 Sep 2013 12:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Sat, 14 Sep 2013 12:21:09 GMT) Full text and rfc822 format available.

Message #25 received at 721789@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 721789@bugs.debian.org
Subject: Re: [RFR] templates://apt-listdifferences/{templates}
Date: Sat, 14 Sep 2013 13:17:33 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
>  Template: apt-listdifferences/initialize

This all looks good.
  
>  Template: apt-listdifferences/purge
>  Type: boolean
>  Default: false
> -_Description: Would you like to remove the apt-listdifferences database?
> - The apt-listdifferences database is currently still on disk.  You can save
> +_Description: Remove the apt-listdifferences database?
> + The apt-listdifferences database is currently still present on disk.  You can save
>   a lot of space by removing it now, but if you ever plan to reinstall
>   apt-listdifferences, the database will need to be fully downloaded again.

Well, strictly speaking that last clause isn't true, is it?  If you
answered "no" to the question above then the database will just be
gradually getting more useful as it gets closer to being complete, and
you're free to stop using it before it's "fully downloaded".  So make
it:
    apt-listdifferences, the data will need to be downloaded again.

>  Description: source differences notification tool
> - apt-listdifferences will show the differences, or patch, between the sources
> + apt-listdifferences will show the differences, or patches, between the sources
>   for all packages as they get updated.  This makes it possible to easily
> - review source changes that have been included in new Debian package updates.
> + review source changes that have been included in new package updates.

"Makes it possible to easily X" is just a roundabout way of saying
"makes it easy to X" (or possibly even "eases Xing").

Is there a danger that people might install this just on the principle
that apt-listbugs and apt-listchanges are handy so this sounds good?
If so it might be a good idea to warn them that the diffs aren't
computed on the server side - they require multi-gigabyte downloads.
Maybe there should be an extra paragraph:

   .
   Those with limited bandwidth or disk space should be aware that
   reference copies of the sources are downloaded and stored locally.

But that's only a suggestion, not in my patch (but I've rewrapped it).
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.jbr (text/plain, attachment)]
[templates (text/plain, attachment)]
[control (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Thu, 26 Sep 2013 07:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Thu, 26 Sep 2013 07:00:07 GMT) Full text and rfc822 format available.

Message #30 received at 721789@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721789@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [LCFC] templates://apt-listdifferences/{templates}
Date: Thu, 26 Sep 2013 07:07:29 +0200
[Message part 1 (text/plain, inline)]
This is the last call for comments for the review of debconf
templates for apt-listdifferences.

The reviewed templates will be sent on Saturday, September 28, 2013 to this bug report
and a mail will be sent to this list with "[BTS]" as a subject tag.


-- 


[templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Sun, 29 Sep 2013 06:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Sun, 29 Sep 2013 06:51:04 GMT) Full text and rfc822 format available.

Message #35 received at 721789@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721789@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [BTS#721789] templates://apt-listdifferences/{templates} : Final update for English review
Date: Sun, 29 Sep 2013 08:47:12 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Sunday, September 08, 2013, I notified you of the beginning of a review process
concerning debconf templates for apt-listdifferences.

The debian-l10n-english contributors have now reviewed these templates,
and the final proposed changes are attached to this update to the
original bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading apt-listdifferences with these changes
right now.

The second phase of this process will begin on Wednesday, October 02, 2013, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Wednesday, October 23, 2013. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Thursday, October 24, 2013, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- 


[templates (text/plain, attachment)]
[control (text/plain, attachment)]
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#721789; Package apt-listdifferences. (Sat, 05 Oct 2013 16:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. (Sat, 05 Oct 2013 16:03:09 GMT) Full text and rfc822 format available.

Message #40 received at 721789@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 721789@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#721789: [BTS#721789] templates://apt-listdifferences/{templates} : Final update for English review
Date: Sat, 5 Oct 2013 11:58:18 -0400
[Message part 1 (text/plain, inline)]
On Sun, Sep 29, 2013 at 2:47 AM, Christian PERRIER wrote:
> Dear Debian maintainer,
>
> On Sunday, September 08, 2013, I notified you of the beginning of a review process
> concerning debconf templates for apt-listdifferences.
>
> The debian-l10n-english contributors have now reviewed these templates,
> and the final proposed changes are attached to this update to the
> original bug report.
>
> Please review the suggested changes, and if you have any
> objections, let me know in the next 3 days.

I would like to suggest the attached change to the templates wording.

Thanks for the review!

Best wishes,
Mike
[templates.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Sat, 05 Oct 2013 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Sat, 05 Oct 2013 16:09:04 GMT) Full text and rfc822 format available.

Message #45 received at 721789@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: 721789@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#721789: [BTS#721789] templates://apt-listdifferences/{templates} : Final update for English review
Date: Sat, 5 Oct 2013 17:07:37 +0100
Michael Gilbert wrote:
> I would like to suggest the attached change to the templates wording.

That is, s/apt-ld db/apt-ld source packages db/?  Looks sane to me.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#721789; Package apt-listdifferences. (Sat, 05 Oct 2013 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. (Sat, 05 Oct 2013 16:12:04 GMT) Full text and rfc822 format available.

Message #50 received at 721789@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 721789@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: Re: Bug#721789: [BTS#721789] templates://apt-listdifferences/{templates} : Final update for English review
Date: Sat, 5 Oct 2013 12:09:48 -0400
On Sat, Oct 5, 2013 at 12:07 PM, Justin B Rye wrote:
> Michael Gilbert wrote:
>> I would like to suggest the attached change to the templates wording.
>
> That is, s/apt-ld db/apt-ld source packages db/?  Looks sane to me.

Yes, that is correct :)

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Sat, 05 Oct 2013 16:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Sat, 05 Oct 2013 16:30:09 GMT) Full text and rfc822 format available.

Message #55 received at 721789@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721789@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#721789: [BTS#721789] templates://apt-listdifferences/{templates} : Final update for English review
Date: Sat, 5 Oct 2013 18:27:06 +0200
[Message part 1 (text/plain, inline)]
Quoting Michael Gilbert (mgilbert@debian.org):
> On Sat, Oct 5, 2013 at 12:07 PM, Justin B Rye wrote:
> > Michael Gilbert wrote:
> >> I would like to suggest the attached change to the templates wording.
> >
> > That is, s/apt-ld db/apt-ld source packages db/?  Looks sane to me.
> 
> Yes, that is correct :)


Fine by me. So the last version fo the templates file is attached to
this mail. Please ACK it so that I can launch the call for
translations.

TIA

[templates (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#721789; Package apt-listdifferences. (Sat, 05 Oct 2013 18:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. (Sat, 05 Oct 2013 18:09:04 GMT) Full text and rfc822 format available.

Message #60 received at 721789@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 721789@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#721789: [BTS#721789] templates://apt-listdifferences/{templates} : Final update for English review
Date: Sat, 5 Oct 2013 14:06:35 -0400
On Sat, Oct 5, 2013 at 12:27 PM, Christian PERRIER wrote:
> Fine by me. So the last version fo the templates file is attached to
> this mail. Please ACK it so that I can launch the call for
> translations.

ack



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Mon, 07 Oct 2013 06:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Mon, 07 Oct 2013 06:54:09 GMT) Full text and rfc822 format available.

Message #65 received at 721789@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Camaleón <noelamac+gmane@gmail.com>
Cc: debian-i18n@lists.debian.org, 721789@bugs.debian.org
Subject: Re: apt-listdifferences 1.20130825: Please translate debconf PO for the package apt-listdifferences
Date: Mon, 7 Oct 2013 07:15:42 +0200
[Message part 1 (text/plain, inline)]
Quoting Camaleón (noelamac+gmane@gmail.com):
> On Sun, 06 Oct 2013 17:28:50 +0200, Christian Perrier wrote:
> 
> (...)
> 
> > "If you do not choose this option, apt-list-differences 
>                                              ^
> 
> Shouldn't that read "apt-listdifferences"?


Crap. Three reviewers and we missed that.

Thanks, I just issued a new call for translations.

Maintainer, here's the new templates file.

[templates (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Tue, 08 Oct 2013 17:54:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Tue, 08 Oct 2013 17:54:20 GMT) Full text and rfc822 format available.

Message #70 received at 721789@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Michael Gilbert <mgilbert@debian.org>, 721789@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org
Subject: Re: Bug#721789: [BTS#721789] templates://apt-listdifferences/{templates} : Final update for English review
Date: Tue, 8 Oct 2013 18:55:25 +0200
[Message part 1 (text/plain, inline)]
Quoting Michael Gilbert (mgilbert@debian.org):
> On Sat, Oct 5, 2013 at 12:27 PM, Christian PERRIER wrote:
> > Fine by me. So the last version fo the templates file is attached to
> > this mail. Please ACK it so that I can launch the call for
> > translations.
> 
> ack


There were two errors in the reviewed templates file:

apt-listdifferences was once spelled "apt-list-differences"
a double space remained after a full stop

Fixed file attached.

That will probably fuzzy some incoming translations. I will then
"unfuzzy" them and re-send them to the relevant bug reports as they
come. Please take care to use the PO files as I send them and not as
translators sent them.


[templates (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Gilbert <mgilbert@debian.org>:
Bug#721789; Package apt-listdifferences. (Fri, 25 Oct 2013 04:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Gilbert <mgilbert@debian.org>. (Fri, 25 Oct 2013 04:42:04 GMT) Full text and rfc822 format available.

Message #75 received at 721789@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721789@bugs.debian.org
Subject: apt-listdifferences: General update after the debconf review process
Date: Fri, 25 Oct 2013 06:39:53 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Sunday, September 08, 2013, I sent you a notification about the beginning of a review
action on debconf templates for apt-listdifferences.

Then, I sent you a bug report with rewritten templates and announcing
the beginning of the second phase of this action: call for translation
updates.

Translators have been working hard and here is now the result of their efforts.

Please consider using it EVEN if you committed files to your
development tree as long as they were reported.

The attached tarball contains:

- debian/changelog with the list of changes
- debian/control with rewrites of packages' descriptions
- debian/<templates> with all the rewritten templates file(s)
- debian/po/*.po with all PO files (existing ones and new ones)

As said, please use *at least* the PO files as provided here,
preferrably over those sent by translators in their bug reports. All
of them have been checked and reformatted. In some cases, formatting
errors have been corrected.

The patch.rfr file contains a patch for the templates and control
file(s) alone.

Please note that this patch applies to the templates and control
file(s) of your package as of Sunday, September 08, 2013. If your package was updated
in the meantime, I may have updated my reference copy....but I also
may have missed that. This is indeed why I suggested you do not
modified such files while the review process was running,
remember..:-)

It is now safe to upload a new package version with these changes.

Please notify me of your intents with regards to this. 

There is of course no hurry to update your package but feel free to
contact me in case you would need sponsoring or any other action to
fix this.



-- 


[patch.tar.gz (application/octet-stream, attachment)]
[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:19:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.